<!doctype html>
<html lang="en">
  <head>
    <style>
      .body{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: center;
        align-items: center;
        padding-top: 40px;
        padding-bottom: 40px;
        background-color: lightcoral;
      }
      .form-signin {
        width: 100%;
        max-width: 330px;
        padding: 15px;
        margin: auto;
      }
      .form-signin .checkbox {
        font-weight: 400;
      }
      .form-signin .form-control {
        position: relative;
        box-sizing: border-box;
        height: auto;
        padding: 10px;
        font-size: 16px;
      }
      .form-signin .form-control:focus {
        z-index: 2;
      }
      .form-signin input[type="email"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
      }
      .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    </style>


    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Subscribe me!</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">

  </head>

  <br>
  <br>
  <body class="text-center body">
    <form class="form-signin" id="formulir">
      {% csrf_token %}
      <h1 class="h3 mb-3 font-weight-normal"><b>Please Subscribe!</b></h1>
      <br>
      <br>

      <div id="invalid-email"></div>
      <label for="inputEmail" class="sr-only">Email address</label>
      <input type="email" id="inputEmail" class="form-control" placeholder="Email address" oninput="emailValidation()" required autofocus>

      <div class="col-md-6 col-sm-6" style="color:red;display:none;margin-top: 4px;"  id="cannot">
        <span class="glyphicon glyphicon-remove"></span> Email already taken.
      </div>

      <label for="inputName" class="sr-only">Name</label>
      <input type="text" id="inputName" class="form-control" placeholder="Name" required>

      <label for="inputPassword" class="sr-only">Password</label>
      <input type="password" id="inputPassword" class="form-control" placeholder="Password" required>

      <button class="btn btn-lg btn-secondary btn-block" type="submit">Submit</button>
    
    </form>
  </body>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

  <script type="text/javascript">
    $(document).on('submit','#formulir',function(e){
      e.preventDefault();
      $.ajax({
        type:'POST',
        url:'/regist/',
        data:{
          email:$('#inputEmail').val(),
          name:$('#inputName').val(),
          password:$('#inputPassword').val(),
          csrfmiddlewaretoken:$('input[name=csrfmiddlewaretoken]').val()
        },
        success:function(){
          alert("Register Success!");
        }
      });
    });
  </script>

  <script>
    var emailIsValid = false;
    function emailValidation() {
      var inputEmail = $('#inputEmail').val();
      var csrfmiddlewaretoken = $('[name=csrfmiddlewaretoken]').val();
      $.ajax({
          method : "POST",
          url : "/email_check/",
          data : {email:inputEmail},
          dataType : "json",
          headers: {
              "X-CSRFToken": csrfmiddlewaretoken
          },
          success : function (datajson) {
              if (datajson.email_is_exist) {
                  emailIsValid = false;
                  $('#invalid-email').text("Email is already exist");
                  $('#invalid-email').css({"color":"red","text-align":"left"});
              } else {
                  emailIsValid = true;
                  $('#invalid-email').text("");
              }
          },

          error: function (error) {
            console.log("Data JSON tidak berhasil diakses");
          },
      });
      buttonIsVisible()
  }
  </script>
</html>
